# OF02 - Get information and statistics about an offer import

Call FrequencyRecommended usage: After each OF01 call, every 5 minutesMaximum usage: Once per minute

Endpoint: GET /api/offers/imports/{import}
Security: Operator-Bearer-Token, OAuth-2

## Security:

  - `Operator-Bearer-Token` (unknown)
    http bearer JWT

  - `OAuth-2` (unknown)
    oauth2

## Path parameters:

  - `import` (integer, required)
    Import identifier

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `date_created` (string, required)
    Import creation date

  - `has_error_report` (boolean, required)
    Indicate if an error report exists

  - `import_id` (integer, required)
    Import ID

  - `lines_in_error` (integer, required)
    Total count of lines in error

  - `lines_in_pending` (integer, required)
    Total count of lines in pending

  - `lines_in_success` (integer, required)
    Total count of lines in success

  - `lines_read` (integer, required)
    Total count of lines read

  - `mode` (string, required)
    Import mode
Enum: `"NORMAL"`, `"REPLACE"`
See deprecated valuesDeprecated values: `"PARTIAL_UPDATE"`

  - `offer_deleted` (integer, required)
    Total count of deleted offers

  - `offer_inserted` (integer, required)
    Total count of inserted offers

  - `offer_updated` (integer, required)
    Total count of updated offers

  - `reason_status` (string, required)
    Import status reason

  - `status` (string, required)
    Import status
Enum: `"WAITING_SYNCHRONIZATION_PRODUCT"`, `"WAITING"`, `"RUNNING"`, `"COMPLETE"`, `"FAILED"`

  - `type` (string, required)
    Will be remove in a future version
Enum: `"AUTO"`, `"MIRAKL"`, `"AMAZON"`

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

